Page MenuHomePhabricator

[WebAssembly] Add InputChunk as common base class for InputSegment and InputFunction. NFC.
ClosedPublic

Authored by sbc100 on Dec 19 2017, 4:06 PM.

Diff Detail

Repository
rLLD LLVM Linker

Event Timeline

sbc100 created this revision.Dec 19 2017, 4:06 PM
sbc100 updated this revision to Diff 127620.Dec 19 2017, 4:08 PM
  • clang format
sbc100 updated this revision to Diff 127621.Dec 19 2017, 4:13 PM
  • rebase
ncw accepted this revision.Dec 21 2017, 4:03 PM
ncw added a subscriber: ncw.

On another note, if you're in the mood for merging things, could you merge your chain of refactorings (D41315, D41419, etc)? Then other dependent changes like D41390 and Comdat can be unblocked.

These refactoring changes are nice, and shuffle the existing code around into a more workable form.

This revision is now accepted and ready to land.Dec 21 2017, 4:03 PM
sbc100 updated this revision to Diff 129188.Jan 9 2018, 4:55 PM
  • rebase
sbc100 added a reviewer: ruiu.Jan 9 2018, 4:58 PM
This revision was automatically updated to reflect the committed changes.